Bug 200235 - rm -fr <dir> seg faults
rm -fr <dir> seg faults
Status: CLOSED UPSTREAM
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: coreutils (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-26 09:52 EDT by Derek Miller
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-08 10:55:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Derek Miller 2006-07-26 09:52:21 EDT
Description of problem:

rm -fR <dir> seg faults when the directory is being displayed by autofs with the
--ghost directive.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Derek Miller 2006-07-26 09:58:27 EDT
The actual directory used during the test was the "cd" directory which is set up
in the auto.misc file.
Comment 2 Jim Meyering 2006-07-26 10:19:50 EDT
This may be the bug that I fixed here: http://bugs.debian.org/375333
Can you try that patch and see if it solves your problem?
Or else, can you provide precise instructions for reproducing the bug?
Comment 3 Tim Waugh 2006-07-26 11:00:28 EDT
Derek: please state the version and release number of the coreutils RPM you are
using (the output of 'rpm -q coreutils').  Thanks.
Comment 4 Florian La Roche 2007-03-08 10:55:58 EST
Closing this out, please reopen if this is still happening with the current
rpm packages.

Thanks,

Florian La Roche

Note You need to log in before you can comment on or make changes to this bug.